/***************************************************************************
*   Copyright (C) 2004-2006 by Thomas Fischer                             *
*   fischer@unix-ag.uni-kl.de                                             *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************/
#ifndef SETTINGSSEARCHURL_H
#define SETTINGSSEARCHURL_H

#include <tqwidget.h>

class TQLineEdit;
class KPushButton;
class TDEListView;
class TQListViewItem;

namespace KBibTeX
{
    class SettingsSearchURL : public TQWidget
    {
        Q_OBJECT
    public:
        SettingsSearchURL( TQWidget *parent = 0, const char *name = 0 );
        ~SettingsSearchURL();

        void applyData();
        void readData();

    signals:
        void configChanged();

    private slots:
        void slotNew();
        void slotEdit();
        void slotDelete();
        void slotReset();
        void updateGUI();

    private:
        KPushButton *m_pushbuttonNew;
        KPushButton *m_pushbuttonEdit;
        KPushButton *m_pushbuttonDelete;
        TDEListView *m_listviewSearchURLs;
        KPushButton *m_pushbuttonReset;

        int m_counter;

        void setupGUI();

        void urlDialog( TQListViewItem * item = NULL );

    };
}

#endif
